<?php
class HelperHtml {

	public static function fieldInput($param, $value, $options, $tab = "\t") {
		$class = array(
			'input'		=> 'form-control input-sm',
			'input-div'	=> 'col-sm-4',
			'label'		=> 'col-sm-5 control-label',
			'main-div'	=> 'form-group',
		);
		if (!empty($options['class'])) {
			$class = array_merge($class, $options['class']);
		}
		$input =  "$tab<div class='{$class['main-div']}' data-toggle='tooltip' title='". constant($options['tooltip']) ."'>\n"
			. "$tab\t<label for='label_$param' class='{$class['label']}'>". constant($options['title']) ."</label>\n"
                        . "$tab\t<div class='{$class['input-div']}'>\n"
                        . "$tab\t\t<input type='text' class='{$class['input']}' name='data[$param]' id='id_$param' value='$value'>\n"
                        . "$tab\t</div>\n"
                	. "$tab</div>\n";
		return $input;
	}

	public static function fieldSelect($param, $value, $options, $tab = "\t") {
		// set selected field
		$selected[$value] = ' selected';

                $select = "$tab<div class='form-group' data-toggle='tooltip' title='". constant($options['tooltip']) ."'>\n"
                        . "$tab\t<label for='label_$param' class='col-sm-5 control-label'>". constant($options['title']) ."</label>\n"
                        . "$tab\t<div class='col-sm-4'>\n"
			. "$tab\t\t<select class='form-control' name='data[$param]' id='id_$param'>\n";

		foreach ($options['options']['select'] as $select_value) {
			$select .= "$tab\t\t\t<option value='$select_value'{$selected[$select_value]}>$select_value</option>\n";
		}
                       
		$select .= "$tab\t\t</select>\n"
			.  "$tab\t</div>\n"
			.  "$tab</div>\n";
	
		return $select;
	}
}
